package com.apache.cxf.matrixparam.service;

import javax.ws.rs.GET;
import javax.ws.rs.MatrixParam;
import javax.ws.rs.Path;
import javax.ws.rs.core.Response;

@Path("/player")
public interface IPlayerService {

	// http://localhost:8080/ApacheCXF-MatrixParam/services/player/welcome;name=McGrath
	@GET
	@Path("/welcome")
	public Response welcomePlayer(@MatrixParam("name") String playerName);

	// http://localhost:8080/ApacheCXF-MatrixParam/services/player/playerinfo;name=Langer;age=44;matches=105
	@GET
	@Path("/playerinfo")
	public Response getPlayerInfo(
			@MatrixParam("name") String playerName, 
			@MatrixParam("age") int age, 
			@MatrixParam("matches") int matches);
}